net.i2p.util

## Class LogRecordFormatter

- java.lang.Object
- - net.i2p.util.LogRecordFormatter

     class LogRecordFormatter
    extends Object

Render a log record according to the log manager's settings

### Constructor Summary

Constructors
Constructor and Description
`LogRecordFormatter()`

### Method Summary

Methods
`static String` `formatRecord(LogManager manager, LogRecord rec)`
`(package private) static String` `formatRecord(LogManager manager, LogRecord rec, boolean showDate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogRecordFormatter

    LogRecordFormatter()

### Method Detail

#### formatRecord

    public static String formatRecord(LogManager manager,
                      LogRecord rec)

#### formatRecord

    static String formatRecord(LogManager manager,
                      LogRecord rec,
                      boolean showDate)

Parameters:
  `showDate` - if false, skip any date in the format (use when writing to wrapper log)
Since:
  0.8.2